=== debian/changelog ===
dde-wayland-config (1.0.9-1) unstable; urgency=medium

  * update

 -- ganjing <ganjing@uniontech.com>  Fri, 11 Mar 2022 14:47:30 +0800

dde-wayland-config (1.0.0-1) unstable; urgency=medium

   * Rebuild Version 1.0.0.1

 -- ganjing <ganjing@uniontech.com>  Mon, 29 Dec 2021 13:40:00 +0800
