=== debian/control ===
Source: dde-wayland-config
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11), golang-go, deepin-desktop-base
Maintainer: ganjing <ganjing@uniontech.com> 
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-wayland-config
Replaces: kelvinu
Conflicts: kelvinu
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Description: This package is the configuration file to adapt to the wayland environment
	some configuration
